## mingw-w64-gxml-0.20.4-4.src.tar.zst

=== meson_options.txt ===
option('introspection', type : 'boolean', value : true, description : 'Create GObject Introspection file definitions')
option('docs', type : 'boolean', value : true, description : 'Generate Vala Documentation')
option('experimental', type : 'boolean', value : false, description : 'Generate experimental classes')
